{
  description = "The Co-op Cloud utility belt";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    {
      self,
      nixpkgs,
      flake-utils,
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        packages = rec {
          abra = pkgs.callPackage ./package.nix { };
          default = abra;
        };
        apps = rec {
          abra = flake-utils.lib.mkApp { drv = self.packages.${system}.abra; };
          default = abra;
        };
        devShells.default = pkgs.mkShell {
          packages = with pkgs; [
            go_1_26
            gnumake
          ];
        };
      }
    );
}
